#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hls-refactor-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-refactor-plugin-2.0.0.0-J8yzceu2FuFFzGkFtdoWy3
key:                  hls-refactor-plugin-2.0.0.0-J8yzceu2FuFFzGkFtdoWy3
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  d5b7023425dd817ce98f0158e0863907
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-2.0.0.0-J8yzceu2FuFFzGkFtdoWy3
depends:
    aeson-2.1.2.1-17AWhWkbfJE926UMi0wPlA base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    extra-1.7.16-8R85wO31Srj7vPi1WPzNhj ghc-9.4.8 ghc-boot-9.4.8
    ghc-exactprint-1.6.1-7wLtwCtN6rmJhHGfogBmw2
    ghcide-2.0.0.0-AI47rzNyuxX9eV1uxLosjq
    hls-graph-2.0.0.0-4K0C5xFj77kQr7nksdgE9
    hls-plugin-api-2.0.0.0-78u16tmbSwR84BHIUYGjLU
    lens-5.2.3-DntULOpb4wLX0fFFKHoDx lsp-1.6.0.0-JFbvvkeeO5R6V24AzOcKk8
    mtl-2.2.2 regex-tdfa-1.3.2.4-4spaPYpacr92ooLlQb3epN
    retrie-1.2.3-Ak1mmFNSEufBZmBNeNsQfG
    syb-0.7.2.4-7bSc04XXCdy5oWDf8UOHZs text-2.0.2
    text-rope-0.3-7A8zFIQiYWi9e9cHtKo4j0 time-1.12.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-2kG5VEC3Gy42AwINT9WJ9w

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

